API EndpointsWebhooks
Subscribe to webhooks
Use this endpoint to subscribe to webhooks and receive event notifications.
Authorization
BearerAuthorizer AuthorizationBearer <token>
In: header
Request Body
application/json
Subscribe to webhooks and receive event notifications.
TypeScript Definitions
Use the request body type in TypeScript.
callbackUrl*string
eventType*NotificationEventType
threshold?number
recurringThreshold?number
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhook" \ -H "Content-Type: application/json" \ -d '{ "callbackUrl": "string", "eventType": "AnonymousCustomer" }'Empty
{ "type": "invalid_request_error", "code": "string", "message": "string", "param": "string", "params": [ { "param": "string", "message": "string" } ]}{ "type": "authentication_error", "code": "authentication_failed", "message": "string"}{ "type": "invalid_request_error", "code": "request_too_large", "message": "string"}{ "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "string"}{ "type": "api_error", "code": "internal_error", "message": "string"}List credit products GET
Retrieve the credit products defined in your account. Use a credit product ID to fund a credit pool (a product creditGrant.creditProductId) or to debit one (a usage product consumesCreditProductIds). Distinct from the credit ledger (GET /credits).
Get product consumption GET
Use this action to get the consumption data for a product

